Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins
Interface SWRLBuiltInLibrary

All Known Implementing Classes:
  AbstractSWRLBuiltInLibrary, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl, SWRLBuiltInLibraryImpl

    public interface SWRLBuiltInLibrary

A class that defined methods that must be implemented by a built-in library. See here for documentation.

Method Summary
`SWRLRuleEngineBridge` | `getInvokingBridge()`
`int` | `getInvokingBuiltInIndex()`
`String` | `getInvokingRuleName()`
`boolean` | `getIsInConsequent()`
`String` | `getLibraryName()`
`boolean` | `invokeBuiltInMethod(Method method, SWRLRuleEngineBridge bridge, String ruleName, String prefix, String builtInMethodName, int builtInIndex, boolean isInConsequent, List<BuiltInArgument> arguments)`
`void` | `invokeResetMethod(SWRLRuleEngineBridge bridge)`
`void` | `reset()`

Method Detail

### getLibraryName

    String getLibraryName()

### getInvokingBridge

    SWRLRuleEngineBridge getInvokingBridge()
                                           throws BuiltInException

  Throws:
    `BuiltInException`

### getInvokingRuleName

    String getInvokingRuleName()
                               throws BuiltInException

  Throws:
    `BuiltInException`

### getInvokingBuiltInIndex

    int getInvokingBuiltInIndex()
                                throws BuiltInException

  Throws:
    `BuiltInException`

### getIsInConsequent

    boolean getIsInConsequent()
                              throws BuiltInException

  Throws:
    `BuiltInException`

### reset

    void reset()
               throws BuiltInException

  Throws:
    `BuiltInException`

### invokeResetMethod

    void invokeResetMethod(SWRLRuleEngineBridge bridge)
                           throws BuiltInException

  Throws:
    `BuiltInException`

### invokeBuiltInMethod

    boolean invokeBuiltInMethod(Method method,
                                SWRLRuleEngineBridge bridge,
                                String ruleName,
                                String prefix,
                                String builtInMethodName,
                                int builtInIndex,
                                boolean isInConsequent,
                                List<BuiltInArgument> arguments)
                                throws BuiltInException

  Throws:
    `BuiltInException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.